Returns all custom field definitions.

GEThttps://api.awork.com/api/v1/customfielddefinitions
GET https://api.awork.com/api/v1/customfielddefinitions

Returns all custom field definitions in the workspace. Set includeLinkedProjectIds to include the projects linked to each definition.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Query parameters

includeLinkedProjectIdsbooleanOptional
Default: false

Whether to include linked project Ids in the response.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the custom field definition.

namestring or nullOptional

The name of the custom field definition.

entitystringOptional

Allowed: "task" "project"

The entity the custom field definition can be linked to.

typestringOptional

Allowed: "text" "number" "date" "datetime" "select" "coloredSelect" "link" "boolean" "user" "client"

The type of the custom field definition.

createdOnstringOptional
format: date-time

The date this entity was created.

createdBystringOptional
format: uuid

The id of the user who created this entity.

updatedOnstringOptional
format: date-time

The date this entity was last modified.

updatedBystringOptional
format: uuid

The id of the user who last modified this entity.

ordernumber or nullOptional
format: double

If it's a project custom field, it's the global order of the custom field definition. Otherwise, it's the order of the custom field definition within a project template or a project.

isExternalbooleanOptional

True if this entity is coming from an external workspace (awork Connect).

selectionOptionsarray of object or nullOptional

The selection options for this custom field definition.

Show 4 properties
idstringOptional
format: uuid

The id of the custom field selection option.

valuestringRequired
minLength: 1

The selection value which can be later used in a select custom field.

colorstring or nullOptional

Allowed: "red" "orange" "yellow" "green" "cyan" "blue" "indigo" "purple" "steel"

The color of the selection option.

ordernumberOptional
format: double

The order of the custom field selection option.

linkedProjectIdsarray of string or nullOptional

The linked project ids for this custom field definition.

Search documentation